---
title: GlobalEventHandlers.onselectionchange
slug: Web/API/GlobalEventHandlers/onselectionchange
tags:
  - API
  - Event Handler
  - Experimental
  - GlobalEventHandlers
  - Property
  - Reference
  - Selection
  - Selection API
  - onselectionchange
---
<div>{{ApiRef('DOM')}} {{SeeCompatTable}}</div>

<p>The <code><strong>onselectionchange</strong></code> property of the {{domxref("GlobalEventHandlers")}} mixin is an {{domxref("EventHandler")}} that processes {{event("selectionchange")}} events.</p>

<p>The <code>selectionchange</code> event fires when the text selected on a webpage changes.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js"><em>object</em>.onselectionchange = <em>functionRef</em>;
</pre>

<h3 id="Value">Value</h3>

<p><code>functionRef</code> is a function name or a <a href="/en-US/docs/Web/JavaScript/Reference/Operators/function">function expression</a>. The function receives a {{domxref("FocusEvent")}} object as its sole argument.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">let selection;

document.onselectionchange = function() {
  console.log('New selection made');
  selection = document.getSelection();
};</pre>

<p>For a full example, see our <a href="https://github.com/chrisdavidmills/selection-api-examples/#key-quote-generator-see-it-running-live">Key quote generator</a> demo.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Selection API','#dom-globaleventhandlers-onselectionchange','GlobalEventHandlers.onselectionchange')}}</td>
   <td>{{Spec2('Selection API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GlobalEventHandlers.onselectionchange")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{event("selectionchange")}} event</li>
 <li>Related event handler: {{domxref("GlobalEventHandlers.onselectstart")}}</li>
</ul>
